petsc-3.7.7 2017-09-25
Report Typos and Errors

## TS

- <CONCEPT>pseudo-timestepping</CONCEPT> Solves the time independent Bratu problem using pseudo-timestepping.
- <CONCEPT>pseudo-timestepping</CONCEPT>
  Solves the time dependent Bratu problem using pseudo-timestepping
- <CONCEPT>nonlinear problems</CONCEPT> Solves the time independent Bratu problem using pseudo-timestepping.
- <CONCEPT>nonlinear problems</CONCEPT>
  Solves the time dependent Bratu problem using pseudo-timestepping
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Performs adjoint sensitivity analysis for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves an ODE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves an ODE-constrained optimization problem -- finding the optimal stiffness parameter for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves the van der Pol DAE.
  Input parameters include:
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves a time-dependent nonlinear PDE. Uses implicit
  timestepping. Runtime options include:
  -M <xg>, where <xg> = number of grid points
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves the van der Pol equation.
  Input parameters include:
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Performs adjoint sensitivity analysis for the van der Pol equation.
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves a DAE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves the van der Pol equation.
  Input parameters include:
- <CONCEPT>time-dependent nonlinear problems</CONCEPT> Solves a time-dependent nonlinear PDE with lower and upper bounds on the interior grid points. Uses implicit
  timestepping. Runtime options include:
  -M <xg>, where <xg> = number of grid points
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
  -ul : lower bound
  -uh : upper bound
- <CONCEPT>time-dependent linear problems</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>time-dependent linear problems</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>time-dependent linear problems</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>time-dependent linear problems</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>heat equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>heat equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>heat equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>heat equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>diffusion equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>diffusion equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>diffusion equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>diffusion equation</CONCEPT> Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- <CONCEPT>van der Pol equation</CONCEPT> Solves the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>van der Pol equation</CONCEPT> Performs adjoint sensitivity analysis for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>van der Pol equation</CONCEPT> Solves an ODE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>van der Pol equation</CONCEPT> Solves an ODE-constrained optimization problem -- finding the optimal stiffness parameter for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>van der Pol DAE</CONCEPT> Solves the van der Pol DAE.
  Input parameters include:
- <CONCEPT>van der Pol equation DAE equivalent</CONCEPT> Solves the van der Pol equation.
  Input parameters include:
- <CONCEPT>van der Pol equation DAE equivalent</CONCEPT> Performs adjoint sensitivity analysis for the van der Pol equation.
- <CONCEPT>van der Pol equation DAE equivalent</CONCEPT> Solves a DAE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
- <CONCEPT>van der Pol equation DAE equivalent</CONCEPT> Solves the van der Pol equation.
  Input parameters include:
- <CONCEPT>Variational inequality nonlinear solver</CONCEPT> Solves a time-dependent nonlinear PDE with lower and upper bounds on the interior grid points. Uses implicit
  timestepping. Runtime options include:
  -M <xg>, where <xg> = number of grid points
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
  -ul : lower bound
  -uh : upper bound
- <CONCEPT>solving a system of nonlinear equations (parallel multicomponent example);</CONCEPT> Transient nonlinear driven cavity in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- <CONCEPT>multicomponent</CONCEPT> Transient nonlinear driven cavity in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- <CONCEPT>differential-algebraic equation</CONCEPT> Transient nonlinear driven cavity in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- <CONCEPT>ex31.c</CONCEPT> Solves the ordinary differential equations (IVPs) using explicit and implicit time-integration methods.
- <CONCEPT>adjoint sensitivity analysis</CONCEPT> Performs adjoint sensitivity analysis for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- <CONCEPT>adjoint sensitivity analysis</CONCEPT> Performs adjoint sensitivity analysis for the van der Pol equation.